Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.data.redis.connection
Enum RedisZSetCommands.Aggregate

    java.lang.Object
      java.lang.Enum<RedisZSetCommands.Aggregate>
          org.springframework.data.redis.connection.RedisZSetCommands.Aggregate

All Implemented Interfaces:
  Serializable, Comparable<RedisZSetCommands.Aggregate>

Enclosing interface:
  RedisZSetCommands

    public static enum RedisZSetCommands.Aggregate

extends Enum<RedisZSetCommands.Aggregate>

Sort aggregation operations.

Enum Constant Summary
`MAX`
`MIN`
`SUM`

Method Summary
`static RedisZSetCommands.Aggregate` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RedisZSetCommands.Aggregate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUM

    public static final RedisZSetCommands.Aggregate SUM

### MIN

    public static final RedisZSetCommands.Aggregate MIN

### MAX

    public static final RedisZSetCommands.Aggregate MAX

Method Detail

### values

    public static RedisZSetCommands.Aggregate[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RedisZSetCommands.Aggregate c : RedisZSetCommands.Aggregate.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RedisZSetCommands.Aggregate valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD